> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cloud.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Account

> Create Account creates an account in the Connect AI Embed product.

<Note>
  All request body fields are optional. If you send an empty body (`{}`), Create Account creates a sub-account.
</Note>


## OpenAPI

````yaml en/API/REST-API-Embedded.yaml POST /poweredby/account/create
openapi: 3.1.0
info:
  title: CData Connect AI REST API Embedded
  version: v1
servers:
  - url: https://cloud.cdata.com/api
    description: Production base URL
security:
  - BearerAuth: []
paths:
  /poweredby/account/create:
    post:
      tags:
        - Account
      summary: Create Account
      description: >
        Create Account creates an account in the Connect AI Embed product. All
        request body fields are optional. If you send an empty body (`{}`),
        Create Account creates a sub-account.
      operationId: createAccount
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateAccountRequest'
            example:
              externalId: MyExternalId
              accountName: Acme Corporation
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateAccountResult'
              example:
                accountId: 8744e71e-ee33-4d4e-916f-0a21eba65902
                externalId: MyExternalId
                createdTime: '2024-07-10T19:10:52.139Z'
components:
  schemas:
    CreateAccountRequest:
      type: object
      properties:
        externalId:
          type: string
          description: (Optional) The external Id of the account to be created.
          nullable: true
        accountName:
          type: string
          description: (Optional) The display name of the account to be created.
          nullable: true
      additionalProperties: false
    CreateAccountResult:
      type: object
      required:
        - accountId
        - externalId
        - createdTime
      properties:
        accountId:
          type: string
          description: The internal Connect AI account Id.
        externalId:
          type: string
          description: The customer's identifier.
        createdTime:
          type: string
          format: date-time
          description: The time when the account was created.
      additionalProperties: false
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT token authentication. Include the token in the Authorization header
        as `Bearer {token}`. See
        [Authentication](/en/API/Authentication-Embedded) for more information
        on creating a token.

````